Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
pdumodel::Pdu::Settings Struct Reference

PDU settings. More...

## Public Attributes
string | name
| User-defined name.
StartupState | startupState
| Default outlet state after applying power to outlets; can be overriden per outlet.
int | cycleDelay
| Default power-cycle interval in seconds; can be overriden per outlet.
int | inRushGuardDelay
| Minimum delay in milliseconds between switching two outlets on.
vector< int > | outletPowerStateSequence
| The order in which multiple outlets should be switched. More...
int | powerOnDelay
| Delay in seconds before restoring outlet states after power is applied to outlets.
boolean | latchingRelays
| If true, relays keep their state during power-cycling.
boolean | energyPulseEnabled
| Enables energy consumption counting using the PDU's LED(s)
int | energyPulsesPerKWh
| Ratio between LED pulses and energy consumption.
int | demandUpdateInterval
| BCM2 only: Update interval in seconds for demand sensors.
int | demandAveragingIntervals
| BCM2 only: Average demand sensors over this many update intervals.
boolean | suspendTripCauseOutlets
| If true, outlets suspected to have caused an OCP to trip are automatically suspended (turned off)

## Detailed Description

PDU settings.

## Member Data Documentation

## ◆ outletPowerStateSequence

vector<int> pdumodel::Pdu::Settings::outletPowerStateSequence

The order in which multiple outlets should be switched.

Format: List of outlet numbers (0-based), empty for default.
Affects the following functions:

- `setAllOutletPowerStates`
- `cycleAllOutletPowerStates`
- `setMultipleOutletPowerStates`
- `cycleMultipleOutletPowerStates`

The documentation for this struct was generated from the following file:

- Pdu.idl